- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QTextTable Class Reference

Search for all occurrences

## Detailed Description

Definition at line 103 of file qtexttable.h.

`#include <qtexttable.h>`

Inheritance diagram for QTextTable:
[legend]

List of all members.

## Public Member Functions
| QTextTable (QTextDocument *doc)
| ~QTextTable ()
void | resize (int rows, int cols)
void | insertRows (int pos, int num)
void | insertColumns (int pos, int num)
void | appendRows (int count)
void | appendColumns (int count)
void | removeRows (int pos, int num)
void | removeColumns (int pos, int num)
void | mergeCells (int row, int col, int numRows, int numCols)
void | mergeCells (const QTextCursor &cursor)
void | splitCell (int row, int col, int numRows, int numCols)
int | rows () const
int | columns () const
QTextTableCell | cellAt (int row, int col) const
QTextTableCell | cellAt (int position) const
QTextTableCell | cellAt (const QTextCursor &c) const
QTextCursor | rowStart (const QTextCursor &c) const
QTextCursor | rowEnd (const QTextCursor &c) const
void | setFormat (const QTextTableFormat &format)
QTextTableFormat | format () const
## Friends
class | QTextTableCell

## Constructor & Destructor Documentation

QTextTable | ( | QTextDocument * | doc | ) | `[explicit]`

~QTextTable | ( |  | ) |

## Member Function Documentation

void resize | ( | int | rows,
|  | int | cols
| ) |  |

Search for all occurrences

void insertRows | ( | int | pos,
|  | int | num
| ) |  |

Search for all occurrences

void insertColumns | ( | int | pos,
|  | int | num
| ) |  |

Search for all occurrences

void appendRows | ( | int | count | ) |

Search for all occurrences

void appendColumns | ( | int | count | ) |

Search for all occurrences

void removeRows | ( | int | pos,
|  | int | num
| ) |  |

Search for all occurrences

void removeColumns | ( | int | pos,
|  | int | num
| ) |  |

Search for all occurrences

void mergeCells | ( | int | row,
|  | int | col,
|  | int | numRows,
|  | int | numCols
| ) |  |

Search for all occurrences

void mergeCells | ( | const QTextCursor & | cursor | ) |

Search for all occurrences

void splitCell | ( | int | row,
|  | int | col,
|  | int | numRows,
|  | int | numCols
| ) |  |

Search for all occurrences

int rows | ( |  | ) | const

Search for all occurrences

int columns | ( |  | ) | const

Search for all occurrences

QTextTableCell cellAt | ( | int | row,
|  | int | col
| ) |  | const

Search for all occurrences

QTextTableCell cellAt | ( | int | position | ) | const

Search for all occurrences

QTextTableCell cellAt | ( | const QTextCursor & | c | ) | const

Search for all occurrences

QTextCursor rowStart | ( | const QTextCursor & | c | ) | const

Search for all occurrences

QTextCursor rowEnd | ( | const QTextCursor & | c | ) | const

Search for all occurrences

void setFormat | ( | const QTextTableFormat & | format | ) |

Search for all occurrences

QTextTableFormat format | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QTextObject.

Definition at line 133 of file qtexttable.h.

    { return QTextObject::format().toTableFormat(); }

## Friends And Related Function Documentation

friend class QTextTableCell `[friend]`

Search for all occurrences

Definition at line 138 of file qtexttable.h.

The documentation for this class was generated from the following file:

- QtGui/qtexttable.h

QTextTable QTextTable QTextTable QTextTable QTextTable QTextTable QTextTable QTextTable QTextTable QTextTable
QTextTable QTextTable QTextTable QTextTable QTextTable QTextTable QTextTable QTextTable QTextTable QTextTable